Name: smeserver-onlyoffice
Version: 0.0.5
Release: 1%{?dist}
Summary: Onlyoffice document server for Koozali SME Server
License: GPL
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-postgresql,smeserver-redis,smeserver-nginx,onlyoffice-documentserver
Requires: rabbitmq-server,supervisor, php73-php-cli
Requires: smeserver-supervisor, smeserver-rabbitmq-server, jq
# for msttcore-fonts-installer
Requires: cabextract

%description
Onlyoffice document server for for Koozali SME Server, a web based document editor server

%prep
%setup -q

%build
perl createlinks

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} > %{name}-%{version}-%{release}-filelist


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%changelog
* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-1.sme
- Initial import to Koozali SME Server from Nethserver
  TODO: rewrite action with occ utility
  TODO: if domain set user proxy behind apache, else open port 8082
  TODO: set modSSL variables / letsencrypt
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Sep 28 2019 --> Wed Sep 25 2019 or Sat Sep 28 2019 or Wed Oct 02 2019 or ....

* Tue Sep 07 2021 Markus Neuberger <dev@markusneuberger.at> - 0.0.2-1
- Fix Nextcloud configuration - thanks to Roberto Schiano

* Fri Apr 17 2020 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-9
- Use jq instead of npm json - thanks to Klaus Boehme
- Fix php memory error

* Sat Sep 28 2019 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-8
  Wed Sep 28 2019 --> Wed Sep 25 2019 or Sat Sep 28 2019 or Wed Oct 02 2019 or ....
- Add stronger password for working with Webtop - thanks to Klaus Boehme
- Add Webtop support

* Wed Sep 04 2019 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-7
- Change config file and user

* Wed Nov 07 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-6
- Change config file owner to work with versions newer than 5.2 - thanks to giacomo

* Fri Sep 21 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-4
- add RejectUnauthorized prop to make it work with self-signed certs
- remove rabbitmq-server requirement
- change spellchecker port 8080 to 48080 to not conflict with nethserver-tomcat

* Sat Apr 07 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-3
- check if database exists - thanks to @dnutan
- check if nextcloud exists - thanks to @dnutan
- tidy up conf action
- remove documentserver script
- make documentserver updates possible
- use json import instead of templating defaults.json
- remove install errors - thanks to @dnutan

* Tue Mar 20 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-2
- Secure access via JWT token - thanks to @dnutan
- autoinstall of onlyoffice nextcloud app - thanks to @danb35
- allow self-signed cert - thanks to @flatspin
- add host db prop

* Sat Mar 10 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-1
- First release
- Add requires
- Setup documentserver and nginx
